<template>
	<el-dialog :visible.sync="show" 
	v-on:update:visible="updateShowDialog"
	width="33%" 
	:show-close="false" 
	custom-class="dialog-red"
	:close-on-press-escape="false" 
	:close-on-click-modal="closeOnModal"> 
		<el-row style="display: flex; align-items: center;">
		<el-col :span="5" class="text-center">
			<img :src="require(`@/assets/images/alerta.svg`)" alt="emoticon" width="80px">
		</el-col>
		<el-col :span="18" :offset="1">
			<p> Por favor, <span class="text-bold text-green"> ESPERE </span> mientras se realiza el proceso...</p>
		</el-col>
		</el-row>
	</el-dialog>
</template>
<script>
export default {
	name: "AppModalLoader",
	props:{
		loaderModal:{type: Boolean, require: false},
		textModal: {type: String, require: false}
	},

	data(){
		return {
			closeOnModal: true,
			show: this.loaderModal
		}
	},
	methods:{
		updateShowDialog(isVisible) {
        if (isVisible) return false;
        this.$emit('update:loaderModal', false )
      }
	},
	created() {
      if(this.styleModal == true) {
        this.closeOnModal = false
      }
	},
	watch: {
      styleModal(val) {
        this.closeOnModal = !val
      },
    }
}
</script>